autofs-5.1.5 - update autofs(8) offset map entry update description

From: Ian Kent <raven@themaw.net>

The autofs(8) man page imples that map entries that have offsets will
be updated in the ame way as top level map keys.

This isn't correct, if a map entry has offsets and is in use when the
map is updated the mount must expire before it will see the update.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG       |    1 +
 man/autofs.8.in |    5 +++++
 2 files changed, 6 insertions(+)

diff --git a/CHANGELOG b/CHANGELOG
index 89b1545b..64eb0926 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -15,6 +15,7 @@ xx/xx/2019 autofs-5.1.6
 - plus map includes are only allowed in file sources.
 - Update README.
 - fix additional typing errors.
+- update autofs(8) offset map entry update description.
 
 30/10/2018 autofs-5.1.5
 - fix flag file permission.
diff --git a/man/autofs.8.in b/man/autofs.8.in
index 9f03eada..b5d34cab 100644
--- a/man/autofs.8.in
+++ b/man/autofs.8.in
@@ -56,6 +56,11 @@ map is modified then the
 .B autofs
 service control reload action must be rerun to activate the changes.
 .P
+However, if a map entry has offsets and is currently in use the offset
+mounts cannot be updated due to potential mount dependencies. In this
+case the map entry offsets will not be updated until after the map
+entry has expired.
+.P
 .B @@initdir@@/autofs status
 or
 .B systemctl autofs.service status
